- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# alphabets_base.hh File Reference

Definition of the alphabet concept. More...

Include dependency graph for alphabets_base.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | vcsn
namespace | vcsn::algebra
## Classes
struct | AlphabetSetBase
| Base class for structural elements of alphabets. More...
struct | alphabet_traits
| Trait for virtual types of structural elements for alphabets. More...
struct | dynamic_traits< algebra::AlphabetSetBase< S > >
| Specialization of `dynamic_traits` for `AlphabetSetBase`. More...
struct | virtual_types< algebra::AlphabetSetBase< S > >
| Specialization of `virtual_types` for `AlphabetSetBase`. More...
struct | MetaElement< algebra::AlphabetSetBase< S >, T >
| Specialization of `MetaElement` for `AlphabetSetBase`. More...
## Functions
template<typename S, typename St, typename T>
St & | op_rout (const algebra::AlphabetSetBase< S > &s, St &st, const T &a)
| Implementation of generic stream output operator for alphabets.
template<typename S, typename T, typename L>
bool | op_letter_equality (const algebra::AlphabetSetBase< S > &s, const T &a, L lhs, L rhs)
| Implementation of generic letter equality modulo meta-characters.

## Detailed Description

Definition of the alphabet concept.

Definition in file alphabets_base.hh.